event_groups.h File Reference
`#include "timers.h"`
Include dependency graph for event_groups.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | xEventGroupClearBitsFromISR(xEventGroup, uxBitsToClear) xTimerPendFunctionCallFromISR( vEventGroupClearBitsCallback, ( void * ) xEventGroup, ( uint32_t ) uxBitsToClear, NULL )
#define | xEventGroupSetBitsFromISR(xEventGroup, uxBitsToSet, pxHigherPriorityTaskWoken) xTimerPendFunctionCallFromISR( vEventGroupSetBitsCallback, ( void * ) xEventGroup, ( uint32_t ) uxBitsToSet, pxHigherPriorityTaskWoken )
#define | xEventGroupGetBits(xEventGroup) xEventGroupClearBits( xEventGroup, 0 )

## Typedefs

typedef void * | EventGroupHandle_t
typedef TickType_t | EventBits_t

## Functions

EventBits_t | xEventGroupWaitBits (EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToWaitFor, const BaseType_t xClearOnExit, const BaseType_t xWaitForAllBits, TickType_t xTicksToWait) PRIVILEGED_FUNCTION
EventBits_t | xEventGroupClearBits (EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToClear) PRIVILEGED_FUNCTION
EventBits_t | xEventGroupSetBits (EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToSet) PRIVILEGED_FUNCTION
EventBits_t | xEventGroupSync (EventGroupHandle_t xEventGroup, const EventBits_t uxBitsToSet, const EventBits_t uxBitsToWaitFor, TickType_t xTicksToWait) PRIVILEGED_FUNCTION
EventBits_t | xEventGroupGetBitsFromISR (EventGroupHandle_t xEventGroup) PRIVILEGED_FUNCTION
void | vEventGroupDelete (EventGroupHandle_t xEventGroup) PRIVILEGED_FUNCTION
void | vEventGroupSetBitsCallback (void *pvEventGroup, const uint32_t ulBitsToSet) PRIVILEGED_FUNCTION
void | vEventGroupClearBitsCallback (void *pvEventGroup, const uint32_t ulBitsToClear) PRIVILEGED_FUNCTION

## Macro Definition Documentation

## xEventGroupClearBitsFromISR

#define xEventGroupClearBitsFromISR | ( |  | xEventGroup,
|  |  | uxBitsToClear
| ) |  | xTimerPendFunctionCallFromISR( vEventGroupClearBitsCallback, ( void * ) xEventGroup, ( uint32_t ) uxBitsToClear, NULL )

## xEventGroupGetBits

#define xEventGroupGetBits | ( |  | xEventGroup | ) | xEventGroupClearBits( xEventGroup, 0 )

## xEventGroupSetBitsFromISR

#define xEventGroupSetBitsFromISR | ( |  | xEventGroup,
|  |  | uxBitsToSet,
|  |  | pxHigherPriorityTaskWoken
| ) |  | xTimerPendFunctionCallFromISR( vEventGroupSetBitsCallback, ( void * ) xEventGroup, ( uint32_t ) uxBitsToSet, pxHigherPriorityTaskWoken )

## Typedef Documentation

## EventBits_t

typedef TickType_t EventBits_t

## EventGroupHandle_t

typedef void* EventGroupHandle_t

## Function Documentation

## vEventGroupClearBitsCallback()

void vEventGroupClearBitsCallback | ( | void * | pvEventGroup,
|  | const uint32_t | ulBitsToClear
| ) |  |

Here is the call graph for this function:

## vEventGroupDelete()

void vEventGroupDelete | ( | EventGroupHandle_t | xEventGroup | ) |

event_groups.h

       void xEventGroupDelete( EventGroupHandle_t xEventGroup );

Delete an event group that was previously created by a call to xEventGroupCreate(). Tasks that are blocked on the event group will be unblocked and obtain 0 as the event group's value.

Parameters

  xEventGroup | The event group being deleted.

Here is the call graph for this function:

## vEventGroupSetBitsCallback()

void vEventGroupSetBitsCallback | ( | void * | pvEventGroup,
|  | const uint32_t | ulBitsToSet
| ) |  |

Here is the call graph for this function:

## xEventGroupClearBits()

EventBits_t xEventGroupClearBits | ( | EventGroupHandle_t | xEventGroup,
|  | const EventBits_t | uxBitsToClear
| ) |  |

Here is the caller graph for this function:

## xEventGroupGetBitsFromISR()

EventBits_t xEventGroupGetBitsFromISR | ( | EventGroupHandle_t | xEventGroup | ) |

## xEventGroupSetBits()

EventBits_t xEventGroupSetBits | ( | EventGroupHandle_t | xEventGroup,
|  | const EventBits_t | uxBitsToSet
| ) |  |

Here is the call graph for this function:
Here is the caller graph for this function:

## xEventGroupSync()

EventBits_t xEventGroupSync | ( | EventGroupHandle_t | xEventGroup,
|  | const EventBits_t | uxBitsToSet,
|  | const EventBits_t | uxBitsToWaitFor,
|  | TickType_t | xTicksToWait
| ) |  |

Here is the call graph for this function:

## xEventGroupWaitBits()

EventBits_t xEventGroupWaitBits | ( | EventGroupHandle_t | xEventGroup,
|  | const EventBits_t | uxBitsToWaitFor,
|  | const BaseType_t | xClearOnExit,
|  | const BaseType_t | xWaitForAllBits,
|  | TickType_t | xTicksToWait
| ) |  |

Here is the call graph for this function: